X2Go Bug report logs - #594
multi monitor support on Windows

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>

Date: Thu, 4 Sep 2014 09:20:01 UTC

Severity: normal

Found in version 4.0.1.1

Fixed in version 4.0.3.0

Done: Michael DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#594; Package x2goclient. (Thu, 04 Sep 2014 09:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 04 Sep 2014 09:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>
To: submit@bugs.x2go.org
Subject: multi monitor support on Windows
Date: Thu, 04 Sep 2014 11:19:03 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.1

Resizing NX-proxy window on whole display not working properly with X2GO
Client for MS Windows. It happens on multi monitor systems when trying
to start X2Go session on secondary display if secondary display is
positioned left of primary display and have negative coordinates. After
resizing window becoming borders and window title and overlapping a
desktop area on secondary display.
-- 
-----------------------------------------------------------
Oleksandr Shneyder        | Email: o.shneyder@phoca-gmbh.de
phoca GmbH                | Tel. : 0911 - 14870374 0
Ludwig-Feuerbach-str. 18  | Fax. : 0911 - 14870374 9
D-90489 Nürnberg          | Mobil: 0163 - 49 64 461

Geschäftsführung:
Dipl.-Inf. Oleksandr Shneyder

Amtsgericht München | http://www.phoca-gmbh.de
HRB 196 658         | http://www.x2go.org
USt-IdNr.: DE281977973
-----------------------------------------------------------

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael DePaulo <mikedep333@gmail.com>:
You have taken responsibility. (Thu, 23 Oct 2014 22:55:01 GMT) (full text, mbox, link).


Notification sent to Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>:
Bug acknowledged by developer. (Thu, 23 Oct 2014 22:55:01 GMT) (full text, mbox, link).


Message #10 received at 594-done@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 594-done@bugs.x2go.org
Subject: fixed in 4.0.3.0 via winmultiwindow.patch to VcXsrv
Date: Thu, 23 Oct 2014 18:50:27 -0400
Version: 4.0.3.0

TLDR: Fixed in X2Go Client for Windows 4.0.3.0 thanks to Alex's
winmultiwindow.patch to VcXsrv.

This was first fixed in VcXsrv 1.15.2.0-xp+vc2013+x2go1, thanks to the
inclusion of Alex's winmultiwindow.patch. X2Go Client for Windows
4.0.3.0-20141021 was released with VcXsrv 1.15.2.1-xp+vc2013+x2go1,
which inherits this fix. The "+x2go1" in the version string denotes
that winmultiwindow.patch is specific to X2Go's use of VcXsrv. It is
believed that the patch cannot be upstreamed, although I would love to
be proven wrong.

The source code for my builds of VcXsrv is available here:
https://sourceforge.net/u/mikedep333/vcxsrv/ci/xp-1.15.2.x-x2gochanges/tree/
This is the patch:
https://sourceforge.net/u/mikedep333/vcxsrv/ci/978ec71bbf4345f477fd4f937deb3a4b481862e2/
And the builds are available here:
http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/

-Mike#2


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 21 Nov 2014 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 20 16:15:06 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.